## org.apache.fop.fo
Class CharacterProperty

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.fo.CharacterProperty

public class CharacterProperty
extends Property

Inner Class Summary
`static class` `CharacterProperty.Maker`

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Constructor Summary
`CharacterProperty(char character)`

Method Summary
`char` `getCharacter()`
`java.lang.Object` `getObject()`
`java.lang.String` `getString()`

Methods inherited from class org.apache.fop.fo.Property
`getColorType, getCondLength, getEnum, getKeep, getLength, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterProperty

    public CharacterProperty(char character)

Method Detail

### getObject

    public java.lang.Object getObject()

  Overrides:
    getObject in class Property

### getCharacter

    public char getCharacter()

  Overrides:
    getCharacter in class Property

### getString

    public java.lang.String getString()

  Overrides:
    getString in class Property

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.